{
  "name": "nub",
  "displayName": "Nub Language Support",
  "description": "Language server client for nub lang",
  "version": "0.0.1",
  "publisher": "nub31",
  "repository": {
    "type": "git",
    "url": "https://git.oliste.no/nub31/nub-lang"
  },
  "engines": {
    "vscode": "^1.105.0"
  },
  "categories": [
    "Programming Languages"
  ],
  "main": "./out/extension.js",
  "files": [
    "out",
    "server",
    "syntaxes",
    "language-configuration.json"
  ],
  "contributes": {
    "languages": [
      {
        "id": "nub",
        "extensions": [
          ".nub"
        ],
        "configuration": "./language-configuration.json"
      }
    ],
    "grammars": [
      {
        "language": "nub",
        "scopeName": "source.nub",
        "path": "./syntaxes/nub.tmLanguage.json"
      }
    ]
  },
  "scripts": {
    "build": "esbuild src/extension.ts --bundle --platform=node --outfile=out/extension.js --external:vscode",
    "update-lsp": "mkdir -p server && dotnet publish -c Release ../compiler/NubLang.LSP/NubLang.LSP.csproj && cp ../compiler/NubLang.LSP/bin/Release/net9.0/linux-x64/publish/nublsp server/",
    "package": "npm run update-lsp && npm run build && vsce package --skip-license"
  },
  "devDependencies": {
    "@types/node": "22.x",
    "@types/vscode": "^1.105.0",
    "@vscode/vsce": "^3.6.2",
    "esbuild": "^0.25.11",
    "typescript": "^5.9.3"
  },
  "dependencies": {
    "vscode-languageclient": "^9.0.1"
  }
}